import { Meta, Story } from "@storybook/react/types-6-0";
import { ErrorMessage, ErrorMessageProps } from "./index";
import React from "react";

export default {
  title: "Form/Error",
  component: ErrorMessage,
  argTypes: {}
} as Meta;

const Template: Story<ErrorMessageProps> = (args) => <ErrorMessage {...args} />;

export const Default = Template.bind({});
Default.args = {
  children: "This is a simple error message",
};

export const WithClasses = Template.bind({});
WithClasses.args = {
  children: "This is an enhanced error message",
  className: "underline",
};