import React from "react";
import { Story, Meta } from "@storybook/react/types-6-0";
import { Label, LabelProps } from "./index";

export default {
  title: "Form/Label",
  component: Label,
  argTypes: {},
} as Meta;

const Template: Story<LabelProps> = (args) => <Label {...args} />;

export const Default = Template.bind({});
Default.args = {
  children: "This is a simple label",
};

export const WithClasses = Template.bind({});
WithClasses.args = {
  children: "This is an enhanced label",
  className: "underline",
};