import React from "react";
import { Story, Meta } from "@storybook/react/types-6-0";
import { Input, InputProps } from "./index";

export default {
  title: "Form/Input",
  component: Input,
  argTypes: {}
} as Meta;

const Template: Story<InputProps> = (args) => (
  <Input {...args} />
);

export const Default = Template.bind({});
Default.args = {};

export const Disabled = Template.bind({});
Disabled.args = {
  disabled: true
};

export const WithLabel = Template.bind({});
WithLabel.args = {
  label: "This input has a label"
};